Loading...
Searching...
No Matches
apr_mmap_t Struct Reference
Apache Portability Runtime library » MMAP (Memory Map) Routines

`#include <apr_mmap.h>`

## Public Member Functions

| APR_RING_ENTRY (apr_mmap_t) link

## Data Fields

apr_pool_t * | cntxt
void * | mm
apr_size_t | size

## Detailed Description

Remarks
  As far as I can tell the only really sane way to store an MMAP is as a void * and a length. BeOS requires this area_id, but that's just a little something extra. I am exposing this type, because it doesn't make much sense to keep it private, and opening it up makes some stuff easier in Apache. The MMAP structure

## Member Function Documentation

## APR_RING_ENTRY()

apr_mmap_t::APR_RING_ENTRY | ( | apr_mmap_t |  | ) |

ring of apr_mmap_t's that reference the same mmap'ed region; acts in place of a reference count

## Field Documentation

## cntxt

apr_pool_t* apr_mmap_t::cntxt

The pool the mmap structure was allocated out of.

## mm

void* apr_mmap_t::mm

The start of the memory mapped area

## size

apr_size_t apr_mmap_t::size

The amount of data in the mmap

The documentation for this struct was generated from the following file:

- apr_mmap.h